Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2.index
Class TupleLoaderOneIndex

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.TupleLoaderBase
              com.hp.hpl.jena.sdb.store.TupleLoaderOne
                  com.hp.hpl.jena.sdb.layout2.index.TupleLoaderOneIndex

All Implemented Interfaces:
  TupleLoader

    public class TupleLoaderOneIndex

extends TupleLoaderOne

Constructor Summary
`TupleLoaderOneIndex(SDBConnection connection)`
`TupleLoaderOneIndex(SDBConnection connection, TableDesc tableDesc)`
`TupleLoaderOneIndex(Store store, TableDesc tableDesc)`

Method Summary
`SqlConstant` | `getRefForNode(com.hp.hpl.jena.graph.Node node)`
`SqlConstant` | `insertNode(com.hp.hpl.jena.graph.Node node)`

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderOne
`finish, load, start, unload`

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderBase
`close, getTableDesc, getTableName, setTableDesc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLoaderOneIndex

    public TupleLoaderOneIndex(SDBConnection connection)

### TupleLoaderOneIndex

    public TupleLoaderOneIndex(SDBConnection connection,
                               TableDesc tableDesc)

### TupleLoaderOneIndex

    public TupleLoaderOneIndex(Store store,
                               TableDesc tableDesc)

Method Detail

### getRefForNode

    public SqlConstant getRefForNode(com.hp.hpl.jena.graph.Node node)
                              throws SQLException

  Specified by:
    `getRefForNode` in class `TupleLoaderOne`
  Throws:
    `SQLException`

### insertNode

    public SqlConstant insertNode(com.hp.hpl.jena.graph.Node node)
                           throws SQLException

  Specified by:
    `insertNode` in class `TupleLoaderOne`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.